Package org.apache.datasketches.tuple

# Class DeserializeResult<T>

java.lang.Object
org.apache.datasketches.tuple.DeserializeResult<T>

Type Parameters:
  `T` - Type of object

public class DeserializeResult<T> extends Object
Returns an object and its size in bytes as a result of a deserialize operation

## Constructor Summary

Constructors
Constructor
Description
`DeserializeResult(T object, int size)`
Creates an instance.

## Method Summary

Modifier and Type
Method
Description
`T`
`getObject()`
Returns Deserialized object
`int`
`getSize()`
Returns size in bytes occupied by the object in the serialized form

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DeserializeResult

public DeserializeResult(T object, int size)
Creates an instance.

Parameters:
  `object` - Deserialized object.
  `size` - Deserialized size in bytes.

## Method Details

### getObject

public T getObject()
Returns Deserialized object

Returns:
  Deserialized object

### getSize

public int getSize()
Returns size in bytes occupied by the object in the serialized form

Returns:
  size in bytes occupied by the object in the serialized form